<?php
/**
 * Aliases for
 *   Special:WelcomeSurvey
 *   Special:Homepage
 *   Special:Impact
 *   Special:ClaimMentee
 *
 * @file
 * @ingroup Extensions
 */

$specialPageAliases = [];

/** English (English) */
$specialPageAliases['en'] = [
	'WelcomeSurvey' => [ 'WelcomeSurvey' ],
	'Homepage' => [ 'Homepage' ],
	'Impact' => [ 'Impact' ],
	'ClaimMentee' => [ 'ClaimMentee' ],
	'NewcomerTasksInfo' => [ 'NewcomerTasksInfo' ],
	'EditGrowthConfig' => [ 'EditGrowthConfig' ],
	'MentorDashboard' => [ 'MentorDashboard' ],
	'QuitMentorship' => [ 'QuitMentorship' ],
];

/** Arabic */
$specialPageAliases['ar'] = [
	'WelcomeSurvey' => [ 'استطلاع_ترحيبي' ],
	'Homepage' => [ 'صفحة_رئيسية', 'لوحة_مستخدم' ],
	'Impact' => [ 'تأثير' ],
	'ClaimMentee' => [ 'مطالبة_مرشد' ],
	'EditGrowthConfig' => [ 'تعديل_إعداد_النمو' ],
	'MentorDashboard' => [ 'لوحة_المرشدين' ],
	'QuitMentorship' => [ 'مغادرة_الإرشاد' ],
];

/** Azerbaijani (azərbaycanca) */
$specialPageAliases['az'] = [
	'WelcomeSurvey' => [ 'XoşGəlmisinizAnketi', 'XoşAnket' ],
	'Homepage' => [ 'AnaSəhifə' ],
	'Impact' => [ 'Təsir' ],
	'ClaimMentee' => [ 'YeniIstifadəçiTələbEdin' ],
];

/** Bangla (বাংলা) */
$specialPageAliases['bn'] = [
	'WelcomeSurvey' => [ 'স্বাগত_জরিপ' ],
	'Homepage' => [ 'নীড়পাতা' ],
	'Impact' => [ 'প্রভাব' ],
	'ClaimMentee' => [ 'পরামর্শগ্রহীতা_দাবিকরণ' ],
	'EditGrowthConfig' => [ 'গ্রোথ_কনফিগারেশন_সম্পাদনা' ],
	'MentorDashboard' => [ 'মেন্টর_ড্যাশবোর্ড' ],
	'QuitMentorship' => [ 'মেন্টরশিপ_পরিত্যাগ' ],
];

/** Bulgarian (български) */
$specialPageAliases['bg'] = [
	'WelcomeSurvey' => [ 'анкета_за_добре_дошли' ],
	'Homepage' => [ 'начална_страница_за_новодошли' ],
	'Impact' => [ 'влияние' ],
];

/** Catalan (català) */
$specialPageAliases['ca'] = [
	'WelcomeSurvey' => [ 'Enquesta_de_benvinguda' ],
	'Homepage' => [ 'Pàgina_d\'inici' ],
	'Impact' => [ 'Impacte' ],
	'ClaimMentee' => [ 'ClaimMentee' ],
];

/** čeština (Czech) */
$specialPageAliases['cs'] = [
	'WelcomeSurvey' => [ 'Uvítací_dotazník', 'Uvitaci_dotaznik' ],
	'Homepage' => [ 'Domovská_stránka' ],
	'Impact' => [ 'Dosah_příspěvků' ],
	'ClaimMentee' => [ 'Převzít_nováčka' ],
	'NewcomerTasksInfo' => [ 'Informace_o_editačních_tipech' ],
	'EditGrowthConfig' => [ 'Editovat_konfiguraci_Growth_funkcí' ],
	'MentorDashboard' => [ 'Nástěnka_mentora' ],
	'QuitMentorship' => [ 'Skončit_s_mentorstvím' ],
];

/** Dansk (Danish) */
$specialPageAliases['da'] = [
	'WelcomeSurvey' => [ 'Hjemmeside' ],
	'Homepage' => [ 'Velkomstundersøgelse' ],
	'Impact' => [ 'Indvirkning' ],
	'ClaimMentee' => [ 'KræveEMentee' ],
];

/** German (Deutsch) */
$specialPageAliases['de'] = [
	'WelcomeSurvey' => [ 'WillkommensFragebogen' ],
	'Homepage' => [ 'Meine_Startseite' ],
	'Impact' => [ 'Mein_Einfluss' ],
	'ClaimMentee' => [ 'Neulingsübernahme' ],
];

/** Greek (Ελληνικά) */
$specialPageAliases['el'] = [
	'WelcomeSurvey' => [ 'WelcomeSurvey' ],
	'Homepage' => [ 'Αρχική_σελίδα' ],
	'Impact' => [ 'Impact' ],
	'ClaimMentee' => [ 'ClaimMentee' ],
];

/** Esperanto (Esperanto) */
$specialPageAliases['eo'] = [
	'WelcomeSurvey' => [ 'Bonvenig_Enketo' ],
	'Homepage' => [ 'Hejmpaĝo' ],
	'Impact' => [ 'Efiko' ],
	'ClaimMentee' => [ 'AsertiMentee' ],
];

/** Spanish (español) */
$specialPageAliases['es'] = [
	'WelcomeSurvey' => [ 'Encuesta_de_bienvenida' ],
	'Homepage' => [ 'Página_inicial' ],
	'Impact' => [ 'Incidencia' ],
	'ClaimMentee' => [ 'Reclamar_nuevo_usuario' ],
];

/** Persian (فارسی) */
$specialPageAliases['fa'] = [
	'WelcomeSurvey' => [ 'پرسشنامه_خوشامد' ],
	'Homepage' => [ 'خانه' ],
	'Impact' => [ 'تاثیر' ],
	'ClaimMentee' => [ 'آموزش تازه‌کار' ],
];

/** French (français) */
$specialPageAliases['fr'] = [
	'WelcomeSurvey' => [ 'Suivi_des_premiers_clics' ],
	'Homepage' => [ 'Accueil_de_l’espace_personnel' ],
	'Impact' => [ 'Impact' ],
	'ClaimMentee' => [ 'Revendiquer un novice' ],
];

/** Hebrew (עברית) */
$specialPageAliases['he'] = [
	'WelcomeSurvey' => [ 'סקר_כניסה' ],
	'Homepage' => [ 'דף_הבית' ],
	'Impact' => [ 'השפעה' ],
	'ClaimMentee' => [ 'קליטת_חניך' ],
	'NewcomerTasksInfo' => [ 'מידע_על_משימות_למתחילים' ],
	'EditGrowthConfig' => [ 'עריכת_הגדרות_חונך' ],
	'MentorDashboard' => [ 'לוח_בקרה_לחונכים' ],
	'QuitMentorship' => [ 'פרישת_חונך' ],
];

/** Hindi (हिन्द) */
$specialPageAliases['hi'] = [
	'WelcomeSurvey' => [ 'सर्वेक्षण_में_आपका_स्वागत_है' ],
	'Homepage' => [ 'मुखपृष्ठ' ],
	'Impact' => [ 'प्रभाव' ],
	'ClaimMentee' => [ 'एक_नवागंतुक_का_दावा_करें' ],
];

/** Croatian (hrvatski) */
$specialPageAliases['hr'] = [
	'WelcomeSurvey' => [ 'Anketa_dobrodošlice' ],
	'Homepage' => [ 'Početna_stranica' ],
	'Impact' => [ 'Učinak_uređivanja' ],
	'ClaimMentee' => [ 'Preuzimanje_mentorstva' ],
];

/** Hungarian (magyar) */
$specialPageAliases['hu'] = [
	'WelcomeSurvey' => [ 'Új_szerkesztők_kérdőíve' ],
	'Homepage' => [ 'Új_szerkesztők_honlapja' ],
	'Impact' => [ 'Eredmény' ],
];

/** Armenian (Հայերեն) */
$specialPageAliases['hy'] = [
	'WelcomeSurvey' => [ 'ՈղջույնիՀարցում' ],
	'Homepage' => [ 'Հիմնական_էջ' ],
	'Impact' => [ 'Ազդեցություն' ],
];

/** Indonesian (Bahasa Indonesia) */
$specialPageAliases['id'] = [
	'WelcomeSurvey' => [ 'Survei_awal' ],
	'Homepage' => [ 'Beranda' ],
	'Impact' => [ 'Dampak' ],
	'ClaimMentee' => [ 'Pilih_pengguna_yang_dibimbing' ],
];

/** Italian (italiano) */
$specialPageAliases['it'] = [
	'WelcomeSurvey' => [ 'IndagineDiBenvenuto' ],
	'Homepage' => [ 'PaginaIniziale' ],
	'Impact' => [ 'Impatto' ],
	'ClaimMentee' => [ 'SeguiAllievo' ],
];

/** Japanese (日本語) */
$specialPageAliases['ja'] = [
	'WelcomeSurvey' => [ 'ようこそ調査' ],
	'Homepage' => [ 'ホームページ' ],
	'Impact' => [ '影響' ],
	'ClaimMentee' => [ '新規参入者を主張する' ],
];

/** Georgian (ქართული) */
$specialPageAliases['ka'] = [
	'WelcomeSurvey' => [ 'მოგესალმებით_გამოკითხვა' ],
	'Homepage' => [ 'საწყისი_გვერდი' ],
	'Impact' => [ 'Გავლენა' ],
	'ClaimMentee' => [ 'მოითხოვეთ_ახალი_მომხმარებელი' ],
];

/** 한국어  (Korean) */
$specialPageAliases['ko'] = [
	'WelcomeSurvey' => [ '환영설문조사' ],
	'Homepage' => [ '홈페이지' ],
	'Impact' => [ '영향력', '임팩트' ],
	'ClaimMentee' => [ '멘티데려오기' ],
];

/** Latvian (latviešu) */
$specialPageAliases['lv'] = [
	'WelcomeSurvey' => [ 'SveicienaAptauja' ],
	'Homepage' => [ 'Sākumlapa' ],
	'Impact' => [ 'Ietekme' ],
	'ClaimMentee' => [ 'PieņemtAudzēkni' ],
];

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = [
	'WelcomeSurvey' => [ 'WelkomEnquête' ],
	'Homepage' => [ 'Thuispagina' ],
	'Impact' => [ 'Gevolg' ],
	'ClaimMentee' => [ 'ClaimMentee' ],
];

/** Malayalam (മലയാളം) */
$specialPageAliases['ml'] = [
	'WelcomeSurvey' => [ 'സ്വാഗതം_സർവേ' ],
	'Homepage' => [ 'ഹോംപേജ്' ],
	'Impact' => [ 'ആഘാതം' ],
	'ClaimMentee' => [ 'പുതിയ_ഉപയോക്താവിനെ_ക്ലെയിം_ചെയ്യുക' ],
];

/** Marathi (मराठी) */
$specialPageAliases['mr'] = [
	'WelcomeSurvey' => [ 'स्वागत_सर्वेक्षण' ],
	'Homepage' => [ 'मुखपृष्ठ' ],
	'Impact' => [ 'परिणाम' ],
	'ClaimMentee' => [ 'नवीन_वापरकर्त्याचा_दावा_करा' ],
];

/** Malay (Bahasa Melayu) */
$specialPageAliases['ms'] = [
	'WelcomeSurvey' => [ 'Penyiasatan_Selamat_Datang' ],
	'Homepage' => [ 'Laman_Utama' ],
	'Impact' => [ 'Kesan' ],
	'ClaimMentee' => [ 'Tuntut_pendatang_baru' ],
];

/** Norwegian Bokmål (norsk bokmål) */
$specialPageAliases['nb'] = [
	'WelcomeSurvey' => [ 'Velkomstundersøkelse' ],
	'Homepage' => [ 'Hjemmeside' ],
	'Impact' => [ 'Virkning' ],
	'ClaimMentee' => [ 'Krev_nykommer' ],
];

/** Polish (polski) */
$specialPageAliases['pl'] = [
	'WelcomeSurvey' => [ 'Ankieta_powitalna' ],
	'Homepage' => [ 'Strona_domowa' ],
	'Impact' => [ 'Wpływ' ],
	'ClaimMentee' => [ 'Wybierz_nowicjusza' ],
];

/** Portuguese (português) */
$specialPageAliases['pt'] = [
	'WelcomeSurvey' => [ 'Inquérito_de_boas_vindas' ],
	'Homepage' => [ 'PáginaInicial' ],
	'Impact' => [ 'Impacto' ],
	'ClaimMentee' => [ 'AdotarTutorado' ],
];

/** Romanian (română) */
$specialPageAliases['ro'] = [
	'WelcomeSurvey' => [ 'Sondaj_de_bun_venit' ],
	'Homepage' => [ 'Pagina_acasă' ],
	'Impact' => [ 'Impact' ],
	'ClaimMentee' => [ 'Revendicare_ucenic' ],
];

/** Russian (русский) */
$specialPageAliases['ru'] = [
	'WelcomeSurvey' => [ 'Приветственный опрос' ],
	'Homepage' => [ 'Домашняя страница' ],
	'Impact' => [ 'Влияние' ],
	'ClaimMentee' => [ 'Утвердить подопечного' ],
];

/** Serbo-Croatian (srpskohrvatski / српскохрватски) */
$specialPageAliases['sh'] = [
	'WelcomeSurvey' => [ 'Anketa_dobrodošlice' ],
	'Homepage' => [ 'Početna_stranica' ],
	'Impact' => [ 'Djejstvo' ],
	'ClaimMentee' => [ 'Tvrde_pridošlica' ],
];

/** Slovak (slovenčina) */
$specialPageAliases['sk'] = [
	'WelcomeSurvey' => [ 'UvítacíPrieskum' ],
	'Homepage' => [ 'Domovská_stránka' ],
	'Impact' => [ 'Dopad' ],
];

/** Slovenian (slovenščina) */
$specialPageAliases['sl'] = [
	'WelcomeSurvey' => [ 'AnketaDobrodošlice' ],
	'Homepage' => [ 'DomačaStran' ],
	'Impact' => [ 'Vpliv' ],
	'ClaimMentee' => [ 'ZahtevajNovegaUporabnika' ],
];

/** Albanian (shqip) */
$specialPageAliases['sq'] = [
	'WelcomeSurvey' => [ 'SondazhiMirëseardhjes' ],
	'Homepage' => [ 'Kryefaqja' ],
	'Impact' => [ 'Ndikimi' ],
	'ClaimMentee' => [ 'PretendonMentori' ],
];

/** Serbian Cyrillic (српски (ћирилица)) */
$specialPageAliases['sr-ec'] = [
	'WelcomeSurvey' => [ 'Анкета_добродошлице' ],
	'Homepage' => [ 'Почетна_страница' ],
	'Impact' => [ 'Утицај' ],
	'ClaimMentee' => [ 'Преузимање_новајлије' ],
];

/** Serbian Latin (srpski (latinica)) */
$specialPageAliases['sr-el'] = [
	'WelcomeSurvey' => [ 'Anketa_dobrodošlice' ],
	'Homepage' => [ 'Početna_stranica' ],
	'Impact' => [ 'Uticaj' ],
	'ClaimMentee' => [ 'Preuzimanje_novajlije' ],
];

/** Swedish (svenska) */
$specialPageAliases['sv'] = [
	'WelcomeSurvey' => [ 'Välkomstenkät' ],
	'Homepage' => [ 'Hemsida' ],
	'Impact' => [ 'Påverkan' ],
	'ClaimMentee' => [ 'Välj_nybörjare' ],
];

/** Tamil (தமிழ) */
$specialPageAliases['ta'] = [
	'WelcomeSurvey' => [ 'வரவேற்பு_கணக்கெடுப்பு' ],
	'Homepage' => [ 'முகப்புப்பக்கம்' ],
	'Impact' => [ 'விளைவு' ],
	'ClaimMentee' => [ 'புதிய_பயனரைக்_கோருங்கள்' ],
];

/** Telugu (తెలుగ) */
$specialPageAliases['te'] = [
	'WelcomeSurvey' => [ 'స్వాగత_సర్వే' ],
	'Homepage' => [ 'హోంపేజీ' ],
	'Impact' => [ 'ప్రభావం' ],
	'ClaimMentee' => [ 'శిష్య_స్వీకారం' ],
];

/** Turkish (Türkçe) */
$specialPageAliases['tr'] = [
	'WelcomeSurvey' => [ 'Hoş_geldin_anketi' ],
	'Homepage' => [ 'Anasayfa' ],
	'Impact' => [ 'Etki' ],
	'ClaimMentee' => [ 'DanışanSahiplen' ],
];

/** Thai (ภาษาไทย) */
$specialPageAliases['th'] = [
	'WelcomeSurvey' => 'แบบสอบถามต้อนรับ',
	'Homepage' => 'หน้าแรก',
	'Impact' => 'ผลกระทบ',
	'ClaimMentee' => 'ยืนยันผู้รับปรึกษา',
];

/** Ukranian (українська) */
$specialPageAliases['uk'] = [
	'WelcomeSurvey' => [ 'Вітальне_опитування' ],
	'Homepage' => [ 'Домашня_сторінка' ],
	'Impact' => [ 'Вплив' ],
];

/** Urdu (اردو) */
$specialPageAliases['ur'] = [
	'WelcomeSurvey' => [ 'خیرمقدم_سروے' ],
	'Homepage' => [ 'ہوم_پیج' ],
	'Impact' => [ 'اثر', 'ثر' ],
	'ClaimMentee' => [ 'ایک_نووارد_کا_دعوی' ],
];

/** Vietnamese (Tiếng Việt) */
$specialPageAliases['vi'] = [
	'WelcomeSurvey' => [ 'Bảng_câu_hỏi_chào_mừng' ],
	'Homepage' => [ 'Trang_nhà' ],
	'ClaimMentee' => [ 'Nhận_Người_được_cố_vấn' ],
	'EditGrowthConfig' => [ 'Sửa_đổi_cấu_hình_Tăng_Trưởng' ],
	'MentorDashboard' => [ 'Bảng_điều_khiển_cố_vấn' ],
	'QuitMentorship' => [ 'Ngừng_làm_cố_vấn' ],
];

/** Simplified Chinese */
$specialPageAliases['zh-hans'] = [
	'WelcomeSurvey' => [ '欢迎调查' ],
	'Homepage' => [ '首页' ],
	'Impact' => [ '影响' ],
	'ClaimMentee' => [ '认领学员' ],
];

/** Traditional Chinese */
$specialPageAliases['zh-hant'] = [
	'WelcomeSurvey' => [ '歡迎調查' ],
	'Homepage' => [ '首頁' ],
	'Impact' => [ '影響' ],
	'ClaimMentee' => [ '認領學員' ],
 ];
